#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Class
%define		pnam	Unload
%include	/usr/lib/rpm/macros.perl
Summary:	Class::Unload - Unload a class
Name:		perl-Class-Unload
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Class/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0c28497de640aea4c3900fb52b7c6cb5
URL:		http://search.cpan.org/dist/Class-Unload/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Inspector
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unloads the given class by clearing out its symbol table and removing
it from INC hash.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/*.pm
%{_mandir}/man3/*
%changelog
* Tue Dec 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Class-Unload.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 44183e5
- up to 0.11

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 24788a7
- up to 0.07

* Wed Feb 02 2011 Elan Ruusamäe <glen@pld-linux.org> 80f481a
- change desc so rpmlint won't be thinking of unexpanded macro

* Sun Jan 11 2009 radek <radek@pld-linux.org> 8622e89
- new

